#!/bin/bash

fatal() {
    echo "FATAL: $@"
    exit 1
}

echo "# installing docker"
sudo apt update || fatal "something went wrong"
sudo apt install "docker*" || fatal "something went wrong"

echo "# check groups"
groups | grep docker || sudo usermod $USER -aG docker
fatal "please relog to enter docker group"

echo "# network"
docker network create proxy

echo "# web"
[ -d /srv/www ] || sudo mkdir -p /srv/www
sudo git clone git@git.faulty.nl:infra/web /srv/www
